# Private overlay for desktop systems

## Adding an overlay

### Option 1

Use module [eselect/repository](https://packages.gentoo.org/packages/app-eselect/eselect-repository).
Add an overlay with the command:

```bash
eselect repository add desktop git 'https://git.popov.link/gentoo-overlays/desktop'
```

### Option 2

Create file `/etc/portage/repos.conf/desktop.conf` with the following contents:

```text
[desktop]
location = /var/db/repos/desktop
sync-type = git
sync-uri = https://git.popov.link/gentoo-overlays/desktop
```